angular.module('odoo')

.factory('leads', function (config, odoo) {
    // Read leads from server
    var readLeads = function (success, error) {
        config(function (users) {
            if (users.length)
            odoo.read('crm.lead', [['active', '=', true]], function (leads) {
                success(leads);
            }, function (err) {
                error(err);
            });
        }, function (err) {
            error(err);
        });
    }

    return {
        read: readLeads
    }
});
